#pragma once
#include "Strategy.h"
#include <iostream>
class PrintStrategy :
    public Strategy
{

	std::ostream& os;
public:
	PrintStrategy(std::ostream& os):os(os) {}

	virtual void handle(Node* curr) const override {
		os << curr->val << " ";
	}

	virtual void operator()(Node* curr) const override {
		os << curr->val << " ";
	}
};

